@ECHO OFF

ECHO ----- Assembling Alien Breed IV for TI-86...
SET ERROR=TI-86
ECHO #define TI86 > ab4data.asm
ECHO .org $9000 >> ab4data.asm
TYPE data.asm >> ab4data.asm
TASM -80 -I -S -B ab4data.asm ab4data.bin
IF ERRORLEVEL 1 GOTO ERRORS
BIN2STR ab4data.bin 86
SYMTABLE ab4data
ECHO #define TI86 > temp.asm
TYPE ab4.asm >> temp.asm
TASM -80 -I -B temp.asm ab4
IF ERRORLEVEL 1 GOTO ERRORS
PRGM86 ab4

ECHO.
ECHO.
ECHO ----- SUCCESS :)
ECHO TI-86 version is ab4.86p
GOTO DONE

:ERRORS
ECHO ----- There were errors with the %ERROR% version!

:DONE
IF EXIST ab4data.sym DEL ab4data.sym > NUL
IF EXIST ab4data.asm DEL ab4data.asm > NUL
IF EXIST ab4data.lst DEL ab4data.lst > NUL
IF EXIST ab4data.bin DEL ab4data.bin > NUL
IF EXIST temp.asm DEL temp.asm > NUL
IF EXIST ab4 DEL ab4 > NUL
PAUSE
